org.faceless.pdf2.viewer2.feature

## Class Info

- java.lang.Object
- - org.faceless.pdf2.viewer2.ViewerFeature
  - - org.faceless.pdf2.viewer2.ViewerWidget
    - - org.faceless.pdf2.viewer2.feature.Info

-     public class Info
      extends ViewerWidget

  Create a button and menu item to display information about the PDF. The name of this feature is GeneralInfo

  This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.

  Since:
    2.8

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Info()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `action(ViewerEvent event)` The method that's run when this feature is activated.
    `void` | `displayInfoPanel(PDF pdf, PDFViewer viewer)`
    `JComponent` | `getInfoPanel(PDF pdf, PDFPage page, File file)`
    `JComponent` | `getProfilePanel(PDFParser parser)`
    `JComponent` | `getPublicKeyEncryptionPanel(PDF pdf)`
    `JComponent` | `getStandardEncryptionPanel(PDF pdf)`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerWidget

      `createActionListener, getComponent, getIcon, getViewer, initialize, isButtonEnabledByDefault, isDocumentRequired, isMenuEnabledByDefault, setButton, setComponent, setDocumentRequired, setMenu, setMenu, setToolBarEnabled, setToolBarEnabledAlways, setToolBarFloatable, setToolBarFloating, toString`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerFeature

      `getAllEnabledFeatures, getAllFeatures, getCustomJavaScript, getFeatureProperty, getFeatureURLProperty, getName, isEnabledByDefault, setFeatureName, teardown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Info

          public Info()

  - ### Method Detail

    - #### action

          public void action(ViewerEvent event)

      Description copied from class: `ViewerWidget`
      The method that's run when this feature is activated. This method is called by the `ActionListener` returned by the default implementation of `ViewerWidget.createActionListener()`, and by default is a no-op.
      Overrides:
        `action` in class `ViewerWidget`

    - #### displayInfoPanel

          public void displayInfoPanel(PDF pdf,
                                       PDFViewer viewer)

    - #### getInfoPanel

          public JComponent getInfoPanel(PDF pdf,
                                         PDFPage page,
                                         File file)

    - #### getStandardEncryptionPanel

          public JComponent getStandardEncryptionPanel(PDF pdf)

    - #### getPublicKeyEncryptionPanel

          public JComponent getPublicKeyEncryptionPanel(PDF pdf)

    - #### getProfilePanel

          public JComponent getProfilePanel(PDFParser parser)

Copyright © 2001-2015 Big Faceless Organization